org.openstreetmap.josm.plugins.streetside.cubemap

## Class CubemapUtils

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.cubemap.CubemapUtils

-     public class CubemapUtils
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CubemapUtils.CubefaceType`
    `static class` | `CubemapUtils.CubemapFaces`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<String[],String>` | `directionConversion`
    `static String` | `IMPORTED_ID`
    `private static int` | `NUM_BASE`
    `static int` | `NUM_SIDES`
    `static Map<String,String>` | `rowCol2StreetsideCellAddressMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CubemapUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `convertDecimal2Quaternary(long inputNum)`
    `static String` | `convertDoubleCountNrto16TileNr(String countNr)`
    `static String` | `convertQuaternary2Decimal(String inputNum)`
    `static int` | `getCount4FaceNumber(String faceString)`
    `static String` | `getFaceIdFromTileId(String tileId)`
    `static String` | `getFaceNumberForCount(int count)`
    `static int` | `getTileHeight()`
    `static int` | `getTileWidth()`
    `static String` | `msToString(long ms)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### directionConversion

          public static Map<String[],String> directionConversion

    - #### NUM_BASE

          private static final int NUM_BASE

      See Also:
        Constant Field Values

    - #### IMPORTED_ID

          public static final String IMPORTED_ID

      See Also:
        Constant Field Values

    - #### NUM_SIDES

          public static final int NUM_SIDES

      See Also:
        Constant Field Values

    - #### rowCol2StreetsideCellAddressMap

          public static Map<String,String> rowCol2StreetsideCellAddressMap

  - ### Constructor Detail

    - #### CubemapUtils

          public CubemapUtils()

  - ### Method Detail

    - #### convertDecimal2Quaternary

          public static String convertDecimal2Quaternary(long inputNum)

    - #### convertQuaternary2Decimal

          public static String convertQuaternary2Decimal(String inputNum)

    - #### getFaceNumberForCount

          public static String getFaceNumberForCount(int count)

    - #### getTileWidth

          public static int getTileWidth()

    - #### getTileHeight

          public static int getTileHeight()

    - #### getCount4FaceNumber

          public static int getCount4FaceNumber(String faceString)

    - #### getFaceIdFromTileId

          public static String getFaceIdFromTileId(String tileId)

    - #### msToString

          public static String msToString(long ms)

    - #### convertDoubleCountNrto16TileNr

          public static String convertDoubleCountNrto16TileNr(String countNr)

JOSM Plugins